﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Diagnostics;
using System.Collections;

namespace WebApplication1
{
    public partial class LoadOnDemand2 : System.Web.UI.Page
    {
        #region private methods
        #region populate department dropdown
        //216 rows
        private DataSet GetDepartments()
        {
            DataSet ds = new DataSet();

            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["Merch_RPTConnectString"].ToString());
            SqlCommand command = new SqlCommand("select * from cr_DEPARTMENT_NEW", conn);
            command.CommandType = CommandType.Text;
            SqlDataAdapter adapter = new SqlDataAdapter(command);
            adapter.Fill(ds);

            return ds;
        }

        private DataSet GetMerchCollections()
        {
            DataSet ds = new DataSet();

            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["Merch_RPTConnectString"].ToString());
            SqlCommand command = new SqlCommand("select * from IG_MERCH_COLLECTION", conn);
            command.CommandType = CommandType.Text;
            SqlDataAdapter adapter = new SqlDataAdapter(command);
            adapter.Fill(ds);

            return ds;
        }

        private DataSet GetProducts()
        {
            DataSet ds = new DataSet();

            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["Merch_RPTConnectString"].ToString());
            SqlCommand command = new SqlCommand("select SKU, SKU_DESCRIPTION from CR_IAA_ITEM_MASTER where DEPARTMENT_NUMBER = '299'", conn);
            command.CommandType = CommandType.Text;
            SqlDataAdapter adapter = new SqlDataAdapter(command);
            adapter.Fill(ds);

            return ds;
        }

        private void PopulateWebDropDown1()
        {
            DataSet ds = null;

            try
            {
                //ds = GetDepartments();
                //ds = GetMerchCollections();
                ds = GetProducts();

                if (ds != null)
                {
                    WebDropDown1.DataSource = ds.Tables[0];
                    //WebDropDown1.ValueField = "Dept";
                    //WebDropDown1.ValueField = "Merch_Collection_ID";
                    WebDropDown1.ValueField = "SKU";
                    //WebDropDown1.TextField = "Dept_Desc";
                    //WebDropDown1.TextField = "Merch_Collection_Description";
                    WebDropDown1.TextField = "SKU_DESCRIPTION";
                    WebDropDown1.DataBind();
                }
            }
            finally
            {
                if (ds != null)
                {
                    ds.Dispose();
                    ds = null;
                }
            }
        }
        #endregion
        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {
            //if (!Page.IsPostBack)
            //{
                PopulateWebDropDown1();
            //}
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Response.Write(string.Join(",", WebDropDown1.SelectedItems.Select<Infragistics.Web.UI.ListControls.DropDownItem, string>((ddi) => ddi.Value).ToArray()));
        }

        protected void WebDropDown1_ItemsRequested(object sender, Infragistics.Web.UI.ListControls.DropDownItemsRequestedEventArgs e)
        {
            TextBox1.Text += "WebDropDown1_ItemsRequested" + Environment.NewLine;
        }

        protected void WebDropDown1_DataBinding(object sender, EventArgs e)
        {
            TextBox1.Text += "WebDropDown1_DataBinding" + Environment.NewLine;
        }

        protected void WebDropDown1_DataBound(object sender, EventArgs e)
        {
            TextBox1.Text += "WebDropDown1_DataBound" + Environment.NewLine;
        }

        protected void WebDropDown1_ItemAdded(object sender, Infragistics.Web.UI.ListControls.DropDownItemAddedEventArgs e)
        {
            TextBox1.Text += "WebDropDown1_ItemAdded" + Environment.NewLine;
        }

        protected void WebDropDown1_ItemBound(object sender, Infragistics.Web.UI.ListControls.DropDownItemBoundEventArgs e)
        {
            TextBox1.Text += "WebDropDown1_ItemBound" + Environment.NewLine;
        }

        protected void WebDropDown1_ItemInserted(object sender, Infragistics.Web.UI.ListControls.DropDownItemInsertedEventArgs e)
        {
            TextBox1.Text += "WebDropDown1_ItemInserted" + Environment.NewLine;
        }

        protected void WebDropDown1_ItemRemoved(object sender, Infragistics.Web.UI.ListControls.DropDownItemRemovedEventArgs e)
        {
            TextBox1.Text += "WebDropDown1_ItemRemoved" + Environment.NewLine;
        }
    }
}
